/*  Gaby
 *  Copyright (C) 1998 Frederic Peters
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

struct _type_form_widget {
	GtkWidget *widget;
	int type;
	/*
	 * 0 : text entry
	 * 1 : text box
	 * 2 : toggle button
	 */
	int flags;
	/*
	 * see below
	 */
};

typedef struct _type_form_widget tformwidget;

tformwidget ffields[MAX_LABELS];

GtkWidget *form_omenu;			// option menu 
GtkWidget *toolbar;			// toolbar
gint toolbar_type;
gint iwb;				// which book is the current record from
gboolean list_books_changed;		// true if there is more or less books

GtkWidget* create_form_window (void);
GtkWidget* create_optionmenu_menu(GtkSignalFunc func);
void show_record_inform();
void message_in_statusbar(gchar *msg);

