/*  Gaby
 *  Copyright (C) 1998 Frederic Peters
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* lot of headers :) */
#include "../config.h"
#include <unistd.h>

#ifdef HAVE_GETOPT_H
#include <getopt.h>
#endif

#include <sys/stat.h>
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <time.h>

#ifdef HAVE_LOCALE_H
#include <locale.h>
#endif

#include <glib.h>

#ifdef HAVE_GETTEXT
#include <libintl.h>
#else
#include "../intl/libintl.h"
#endif

#include "base.h"
#define _(String) gettext (String)
#define gettext_noop(String) (String)

#define POS_PHONE	 9	/* which field is the phone ? */
#define POS_EMAIL	13	/* which field is the email ? */
#define POS_WEB		14	/* which field is the web site ? */

#define MAX_COL		4

gchar* labels[MAX_LABELS];

int prog;			/* which prog ? 1=gaby, 2=gbc, -1 = user */
GString	*name_of_prog;		/* name of the prog */

int nb_col;

gint itl[MAX_COL];		/* what to show in the list window */


