/*  Gaby
 *  Copyright (C) 1998 Frederic Peters
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "gaby.h"
#include <gtk/gtk.h>
#include "useful.h"

GtkWidget* create_labels_menu(gint dec, GtkSignalFunc func)
{
	GtkWidget *glade_menuitem;
	GtkWidget *menu;
	gint i;

	menu = gtk_menu_new();

	for ( i=0;i<nlabels+1;i++ ) {
		glade_menuitem = gtk_menu_item_new_with_label(_(labels[i]));
		gtk_signal_connect(GTK_OBJECT(glade_menuitem), "activate", \
						func, (gpointer)(i+dec) );
		gtk_widget_show (glade_menuitem);
		gtk_menu_append (GTK_MENU (menu), glade_menuitem);
	}

	return menu;
}

