#!/usr/bin/perl -w
# This simple script converts Pine's addressbook to gaby's database
# 27/11/1998 Roman Shterenzon

$PINE_AB="/.addressbook";
$FILE=shift || die"$0 output-filename\n";

$PINE_AB=(getpwuid($<))[7]."$PINE_AB";
open (AB, $PINE_AB) or die "Cannot open $PINE_AB, stopped";
open (GB, ">$FILE") or die "Cannot open $FILE, stopped";
while (<AB>) {
  chomp;
  next if (/^#/);
# I hope the following line doesn't break anything ;)
  s/;/\;/g;
  @splitted=split(/\t+/);
# Check for Pine's "Last, First" format
  if ($splitted[1]=~/, /) {
    ($last,$first)=split(/, /,$splitted[1]);
  }
  else {
    ($first,$last)=split(/\s+/,$splitted[1]);
  }
  $last="" unless $last;
  $email=$splitted[2];
# Check if email field is full, if it is, strip the name and brackets
  $email=~s/.*?<(.*?)>/$1/;
  print GB "$first;$last;;;;;;;;;;;;$email;;;\n";
} 
close AB;
close GB;
